Show / Hide Table of Contents

# Class Embed

Represents an embed object seen in an IUserMessage.

##### Inheritance

System.Object
Embed

##### Implements

IEmbed

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class Embed : IEmbed

### Properties

| Improve this Doc View Source

#### Author

##### Declaration

    public EmbedAuthor? Author { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedAuthor> |

| Improve this Doc View Source

#### Color

##### Declaration

    public Color? Color { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Color> |

| Improve this Doc View Source

#### Description

##### Declaration

    public string Description { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Fields

##### Declaration

    public ImmutableArray<EmbedField> Fields { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Immutable.ImmutableArray<EmbedField> |

| Improve this Doc View Source

#### Footer

##### Declaration

    public EmbedFooter? Footer { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedFooter> |

| Improve this Doc View Source

#### Image

##### Declaration

    public EmbedImage? Image { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedImage> |

| Improve this Doc View Source

#### Length

Gets the total length of all embed properties.

##### Declaration

    public int Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Provider

##### Declaration

    public EmbedProvider? Provider { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedProvider> |

| Improve this Doc View Source

#### Thumbnail

##### Declaration

    public EmbedThumbnail? Thumbnail { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedThumbnail> |

| Improve this Doc View Source

#### Timestamp

##### Declaration

    public DateTimeOffset? Timestamp { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

| Improve this Doc View Source

#### Title

##### Declaration

    public string Title { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Type

##### Declaration

    public EmbedType Type { get; }

##### Property Value

Type | Description
--- | ---
EmbedType |

| Improve this Doc View Source

#### Url

##### Declaration

    public string Url { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Video

##### Declaration

    public EmbedVideo? Video { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedVideo> |

### Methods

| Improve this Doc View Source

#### ToString()

Gets the title of the embed.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

### Implements

IEmbed

### Extension Methods

EmbedBuilderExtensions.ToEmbedBuilder(IEmbed)